#include <bits/stdc++.h>
using namespace std;
int mas[300000];
int nmas[600005];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin>>t;
    for (int l=0;l<t;l++) {
        int n;
        cin>>n;
        for (int i=0;i<n;i++) {
            cin>>mas[i];
            nmas[i]=0;
            nmas[n+i]=0;
        }
        sort(mas,mas+n);
        int index1=0,index2=0;
        bool flag=true;
        for (int i=0;i<n&&flag;i++) {
            if (i<2){nmas[n+index1]=mas[i];index1++;}
            else {
                if (nmas[n+index1-2]+mas[i]<nmas[n+index1-1]*2)
                {
                    if (nmas[n+1-index2]+mas[i]<nmas[n-index2]*2){flag=false;}
                    else {nmas[n-1-index2]=mas[i];index2++;}
                }
                else {nmas[n+index1]=mas[i];index1++;}
            }
        }

        if (flag)cout<<"YES"<<endl;
        else cout<<"NO"<<endl;
    }
}
